## applauncherd 3.0.3-maemo2

=== src/invoker/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/fremantle2armel/usr/bin/cmake

# The command to remove a file.
RM = /targets/fremantle2armel/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/marcin/applauncher/applauncherd-3.0.3

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/marcin/applauncher/applauncherd-3.0.3

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/fremantle2armel/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/fremantle2armel/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles /home/marcin/applauncher/applauncherd-3.0.3/src/invoker/CMakeFiles/progress.make
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/invoker/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/invoker/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/invoker/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/invoker/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/invoker/CMakeFiles/invoker.dir/rule:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/invoker/CMakeFiles/invoker.dir/rule
.PHONY : src/invoker/CMakeFiles/invoker.dir/rule

# Convenience name for target.
invoker: src/invoker/CMakeFiles/invoker.dir/rule
.PHONY : invoker

# fast build rule for target.
invoker/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/invoker/CMakeFiles/invoker.dir/build.make src/invoker/CMakeFiles/invoker.dir/build
.PHONY : invoker/fast

__/common/report.o: __/common/report.c.o
.PHONY : __/common/report.o

# target to build an object file
__/common/report.c.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/invoker/CMakeFiles/invoker.dir/build.make src/invoker/CMakeFiles/invoker.dir/__/common/report.c.o
.PHONY : __/common/report.c.o

__/common/report.i: __/common/report.c.i
.PHONY : __/common/report.i

# target to preprocess a source file
__/common/report.c.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/invoker/CMakeFiles/invoker.dir/build.make src/invoker/CMakeFiles/invoker.dir/__/common/report.c.i
.PHONY : __/common/report.c.i

__/common/report.s: __/common/report.c.s
.PHONY : __/common/report.s

# target to generate assembly for a file
__/common/report.c.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/invoker/CMakeFiles/invoker.dir/build.make src/invoker/CMakeFiles/invoker.dir/__/common/report.c.s
.PHONY : __/common/report.c.s

invokelib.o: invokelib.c.o
.PHONY : invokelib.o

# target to build an object file
invokelib.c.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/invoker/CMakeFiles/invoker.dir/build.make src/invoker/CMakeFiles/invoker.dir/invokelib.c.o
.PHONY : invokelib.c.o

invokelib.i: invokelib.c.i
.PHONY : invokelib.i

# target to preprocess a source file
invokelib.c.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/invoker/CMakeFiles/invoker.dir/build.make src/invoker/CMakeFiles/invoker.dir/invokelib.c.i
.PHONY : invokelib.c.i

invokelib.s: invokelib.c.s
.PHONY : invokelib.s

# target to generate assembly for a file
invokelib.c.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/invoker/CMakeFiles/invoker.dir/build.make src/invoker/CMakeFiles/invoker.dir/invokelib.c.s
.PHONY : invokelib.c.s

invoker.o: invoker.c.o
.PHONY : invoker.o

# target to build an object file
invoker.c.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/invoker/CMakeFiles/invoker.dir/build.make src/invoker/CMakeFiles/invoker.dir/invoker.c.o
.PHONY : invoker.c.o

invoker.i: invoker.c.i
.PHONY : invoker.i

# target to preprocess a source file
invoker.c.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/invoker/CMakeFiles/invoker.dir/build.make src/invoker/CMakeFiles/invoker.dir/invoker.c.i
.PHONY : invoker.c.i

invoker.s: invoker.c.s
.PHONY : invoker.s

# target to generate assembly for a file
invoker.c.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/invoker/CMakeFiles/invoker.dir/build.make src/invoker/CMakeFiles/invoker.dir/invoker.c.s
.PHONY : invoker.c.s

search.o: search.c.o
.PHONY : search.o

# target to build an object file
search.c.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/invoker/CMakeFiles/invoker.dir/build.make src/invoker/CMakeFiles/invoker.dir/search.c.o
.PHONY : search.c.o

search.i: search.c.i
.PHONY : search.i

# target to preprocess a source file
search.c.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/invoker/CMakeFiles/invoker.dir/build.make src/invoker/CMakeFiles/invoker.dir/search.c.i
.PHONY : search.c.i

search.s: search.c.s
.PHONY : search.s

# target to generate assembly for a file
search.c.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/invoker/CMakeFiles/invoker.dir/build.make src/invoker/CMakeFiles/invoker.dir/search.c.s
.PHONY : search.c.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... invoker"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... __/common/report.o"
	@echo "... __/common/report.i"
	@echo "... __/common/report.s"
	@echo "... invokelib.o"
	@echo "... invokelib.i"
	@echo "... invokelib.s"
	@echo "... invoker.o"
	@echo "... invoker.i"
	@echo "... invoker.s"
	@echo "... search.o"
	@echo "... search.i"
	@echo "... search.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== src/launcher/CMakeLists.txt ===
# Generate list of libraries for preload.h
add_custom_command(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/preload-h-libraries.h
  COMMAND python2.5 ${CMAKE_HOME_DIRECTORY}/scripts/library-helper.py --preload-h-libraries
  DEPENDS ${CMAKE_HOME_DIRECTORY}/scripts/library-helper.py
)

# Generate linker command line fragment
add_custom_command(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/additional-linked-libraries.ld
  COMMAND python2.5 ${CMAKE_HOME_DIRECTORY}/scripts/library-helper.py --linker-flags
  DEPENDS ${CMAKE_HOME_DIRECTORY}/scripts/library-helper.py
)

# Set sources
set(SRC launcher.c)

# Set include dirs
include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_HOME_DIRECTORY}/src/common ${CMAKE_CURRENT_BINARY_DIR})

# Set C flags
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c99 -D_POSIX_C_SOURCE=200112L -Wl,--no-as-needed -Wl,@additional-linked-libraries.ld")

# Set precompiler flags
add_definitions(-DLIBRARIES_CONFIG_FILE="/etc/applauncherd.conf")
add_definitions(-DLAUNCHER_LIBRARY="/usr/lib/applauncherd/libapplauncherd.so")

link_libraries(${LIBDL})

# Set target
add_executable(applauncherd.bin 
               ${SRC} 
               ${CMAKE_CURRENT_BINARY_DIR}/preload-h-libraries.h
               ${CMAKE_CURRENT_BINARY_DIR}/additional-linked-libraries.ld)

# Add install rule
install(PROGRAMS applauncherd.bin DESTINATION /usr/bin/)

=== tests/harmattan/daemon-tests/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/fremantle2armel/usr/bin/cmake

# The command to remove a file.
RM = /targets/fremantle2armel/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/marcin/applauncher/applauncherd-3.0.3

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/marcin/applauncher/applauncherd-3.0.3

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/fremantle2armel/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/fremantle2armel/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles /home/marcin/applauncher/applauncherd-3.0.3/tests/harmattan/daemon-tests/CMakeFiles/progress.make
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/harmattan/daemon-tests/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/harmattan/daemon-tests/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/harmattan/daemon-tests/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/harmattan/daemon-tests/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== tests/harmattan/functests/CMakeLists.txt ===
if ($ENV{MEEGO})
    # Do nothing
endif ($ENV{MEEGO})

if ($ENV{HARMATTAN})
    install(FILES tests.xml DESTINATION /usr/share/applauncherd-functional-tests)
endif ($ENV{HARMATTAN})

=== tests/meego/testscripts/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/fremantle2armel/usr/bin/cmake

# The command to remove a file.
RM = /targets/fremantle2armel/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/marcin/applauncher/applauncherd-3.0.3

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/marcin/applauncher/applauncherd-3.0.3

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/fremantle2armel/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/fremantle2armel/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles /home/marcin/applauncher/applauncherd-3.0.3/tests/meego/testscripts/CMakeFiles/progress.make
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/meego/testscripts/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/meego/testscripts/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/meego/testscripts/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/meego/testscripts/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== tests/common/testapps/fala_exit/CMakeLists.txt ===
# Set sources
set(SRC fala_exit.cpp)

link_libraries(${MEEGOTOUCH_LIBRARIES})

include(${QT_USE_FILE})

# Use the compiler and linker flags given in meegotouch-boostable.pc
# in the source tree.
execute_process(COMMAND "env" 
                         "PKG_CONFIG_PATH=${CMAKE_SOURCE_DIR}/data/pkgconfig" 
                         "/usr/bin/pkg-config" 
                         "--cflags" 
                         "meegotouch-boostable" 
                WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} 
                OUTPUT_VARIABLE booster_cflags 
                OUTPUT_STRIP_TRAILING_WHITESPACE)
execute_process(COMMAND "env" 
                        "PKG_CONFIG_PATH=${CMAKE_SOURCE_DIR}/data/pkgconfig" 
                        "/usr/bin/pkg-config" "--libs" 
                        "meegotouch-boostable" 
                WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} 
                OUTPUT_VARIABLE booster_libs 
                OUTPUT_STRIP_TRAILING_WHITESPACE)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${booster_cflags}")
set(CMAKE_EXE_LINKER_FLAGS ${booster_libs})

add_executable(fala_exit ${SRC})

install(PROGRAMS fala_exit DESTINATION /usr/bin/)

=== tests/common/testapps/fala_gettime/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/fremantle2armel/usr/bin/cmake

# The command to remove a file.
RM = /targets/fremantle2armel/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/marcin/applauncher/applauncherd-3.0.3

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/marcin/applauncher/applauncherd-3.0.3

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/fremantle2armel/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/fremantle2armel/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles /home/marcin/applauncher/applauncherd-3.0.3/tests/common/testapps/fala_gettime/CMakeFiles/progress.make
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/common/testapps/fala_gettime/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/common/testapps/fala_gettime/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/common/testapps/fala_gettime/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/common/testapps/fala_gettime/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
tests/common/testapps/fala_gettime/CMakeFiles/fala_gettime.dir/rule:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/common/testapps/fala_gettime/CMakeFiles/fala_gettime.dir/rule
.PHONY : tests/common/testapps/fala_gettime/CMakeFiles/fala_gettime.dir/rule

# Convenience name for target.
fala_gettime: tests/common/testapps/fala_gettime/CMakeFiles/fala_gettime.dir/rule
.PHONY : fala_gettime

# fast build rule for target.
fala_gettime/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_gettime/CMakeFiles/fala_gettime.dir/build.make tests/common/testapps/fala_gettime/CMakeFiles/fala_gettime.dir/build
.PHONY : fala_gettime/fast

fala_gettime.o: fala_gettime.c.o
.PHONY : fala_gettime.o

# target to build an object file
fala_gettime.c.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_gettime/CMakeFiles/fala_gettime.dir/build.make tests/common/testapps/fala_gettime/CMakeFiles/fala_gettime.dir/fala_gettime.c.o
.PHONY : fala_gettime.c.o

fala_gettime.i: fala_gettime.c.i
.PHONY : fala_gettime.i

# target to preprocess a source file
fala_gettime.c.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_gettime/CMakeFiles/fala_gettime.dir/build.make tests/common/testapps/fala_gettime/CMakeFiles/fala_gettime.dir/fala_gettime.c.i
.PHONY : fala_gettime.c.i

fala_gettime.s: fala_gettime.c.s
.PHONY : fala_gettime.s

# target to generate assembly for a file
fala_gettime.c.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_gettime/CMakeFiles/fala_gettime.dir/build.make tests/common/testapps/fala_gettime/CMakeFiles/fala_gettime.dir/fala_gettime.c.s
.PHONY : fala_gettime.c.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... fala_gettime"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... fala_gettime.o"
	@echo "... fala_gettime.i"
	@echo "... fala_gettime.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== tests/common/testapps/fala_gettime_ms/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/fremantle2armel/usr/bin/cmake

# The command to remove a file.
RM = /targets/fremantle2armel/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/marcin/applauncher/applauncherd-3.0.3

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/marcin/applauncher/applauncherd-3.0.3

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/fremantle2armel/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/fremantle2armel/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles /home/marcin/applauncher/applauncherd-3.0.3/tests/common/testapps/fala_gettime_ms/CMakeFiles/progress.make
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/common/testapps/fala_gettime_ms/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/common/testapps/fala_gettime_ms/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/common/testapps/fala_gettime_ms/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/common/testapps/fala_gettime_ms/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
tests/common/testapps/fala_gettime_ms/CMakeFiles/fala_gettime_ms.dir/rule:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/common/testapps/fala_gettime_ms/CMakeFiles/fala_gettime_ms.dir/rule
.PHONY : tests/common/testapps/fala_gettime_ms/CMakeFiles/fala_gettime_ms.dir/rule

# Convenience name for target.
fala_gettime_ms: tests/common/testapps/fala_gettime_ms/CMakeFiles/fala_gettime_ms.dir/rule
.PHONY : fala_gettime_ms

# fast build rule for target.
fala_gettime_ms/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_gettime_ms/CMakeFiles/fala_gettime_ms.dir/build.make tests/common/testapps/fala_gettime_ms/CMakeFiles/fala_gettime_ms.dir/build
.PHONY : fala_gettime_ms/fast

fala_gettime_ms.o: fala_gettime_ms.c.o
.PHONY : fala_gettime_ms.o

# target to build an object file
fala_gettime_ms.c.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_gettime_ms/CMakeFiles/fala_gettime_ms.dir/build.make tests/common/testapps/fala_gettime_ms/CMakeFiles/fala_gettime_ms.dir/fala_gettime_ms.c.o
.PHONY : fala_gettime_ms.c.o

fala_gettime_ms.i: fala_gettime_ms.c.i
.PHONY : fala_gettime_ms.i

# target to preprocess a source file
fala_gettime_ms.c.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_gettime_ms/CMakeFiles/fala_gettime_ms.dir/build.make tests/common/testapps/fala_gettime_ms/CMakeFiles/fala_gettime_ms.dir/fala_gettime_ms.c.i
.PHONY : fala_gettime_ms.c.i

fala_gettime_ms.s: fala_gettime_ms.c.s
.PHONY : fala_gettime_ms.s

# target to generate assembly for a file
fala_gettime_ms.c.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_gettime_ms/CMakeFiles/fala_gettime_ms.dir/build.make tests/common/testapps/fala_gettime_ms/CMakeFiles/fala_gettime_ms.dir/fala_gettime_ms.c.s
.PHONY : fala_gettime_ms.c.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... fala_gettime_ms"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... fala_gettime_ms.o"
	@echo "... fala_gettime_ms.i"
	@echo "... fala_gettime_ms.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== tests/common/testapps/fala_multi-instance/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/fremantle2armel/usr/bin/cmake

# The command to remove a file.
RM = /targets/fremantle2armel/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/marcin/applauncher/applauncherd-3.0.3

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/marcin/applauncher/applauncherd-3.0.3

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/fremantle2armel/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/fremantle2armel/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles /home/marcin/applauncher/applauncherd-3.0.3/tests/common/testapps/fala_multi-instance/CMakeFiles/progress.make
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/common/testapps/fala_multi-instance/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/common/testapps/fala_multi-instance/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/common/testapps/fala_multi-instance/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/common/testapps/fala_multi-instance/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/rule:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/rule
.PHONY : tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/rule

# Convenience name for target.
fala_multi-instance: tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/rule
.PHONY : fala_multi-instance

# fast build rule for target.
fala_multi-instance/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/build.make tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/build
.PHONY : fala_multi-instance/fast

fala_multi-instance.o: fala_multi-instance.cpp.o
.PHONY : fala_multi-instance.o

# target to build an object file
fala_multi-instance.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/build.make tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/fala_multi-instance.cpp.o
.PHONY : fala_multi-instance.cpp.o

fala_multi-instance.i: fala_multi-instance.cpp.i
.PHONY : fala_multi-instance.i

# target to preprocess a source file
fala_multi-instance.cpp.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/build.make tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/fala_multi-instance.cpp.i
.PHONY : fala_multi-instance.cpp.i

fala_multi-instance.s: fala_multi-instance.cpp.s
.PHONY : fala_multi-instance.s

# target to generate assembly for a file
fala_multi-instance.cpp.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/build.make tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/fala_multi-instance.cpp.s
.PHONY : fala_multi-instance.cpp.s

mainpage.o: mainpage.cpp.o
.PHONY : mainpage.o

# target to build an object file
mainpage.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/build.make tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/mainpage.cpp.o
.PHONY : mainpage.cpp.o

mainpage.i: mainpage.cpp.i
.PHONY : mainpage.i

# target to preprocess a source file
mainpage.cpp.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/build.make tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/mainpage.cpp.i
.PHONY : mainpage.cpp.i

mainpage.s: mainpage.cpp.s
.PHONY : mainpage.s

# target to generate assembly for a file
mainpage.cpp.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/build.make tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/mainpage.cpp.s
.PHONY : mainpage.cpp.s

mainwindow.o: mainwindow.cpp.o
.PHONY : mainwindow.o

# target to build an object file
mainwindow.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/build.make tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/mainwindow.cpp.o
.PHONY : mainwindow.cpp.o

mainwindow.i: mainwindow.cpp.i
.PHONY : mainwindow.i

# target to preprocess a source file
mainwindow.cpp.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/build.make tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/mainwindow.cpp.i
.PHONY : mainwindow.cpp.i

mainwindow.s: mainwindow.cpp.s
.PHONY : mainwindow.s

# target to generate assembly for a file
mainwindow.cpp.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/build.make tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/mainwindow.cpp.s
.PHONY : mainwindow.cpp.s

moc_mainpage.o: moc_mainpage.cxx.o
.PHONY : moc_mainpage.o

# target to build an object file
moc_mainpage.cxx.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/build.make tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/moc_mainpage.cxx.o
.PHONY : moc_mainpage.cxx.o

moc_mainpage.i: moc_mainpage.cxx.i
.PHONY : moc_mainpage.i

# target to preprocess a source file
moc_mainpage.cxx.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/build.make tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/moc_mainpage.cxx.i
.PHONY : moc_mainpage.cxx.i

moc_mainpage.s: moc_mainpage.cxx.s
.PHONY : moc_mainpage.s

# target to generate assembly for a file
moc_mainpage.cxx.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/build.make tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/moc_mainpage.cxx.s
.PHONY : moc_mainpage.cxx.s

moc_mainwindow.o: moc_mainwindow.cxx.o
.PHONY : moc_mainwindow.o

# target to build an object file
moc_mainwindow.cxx.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/build.make tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/moc_mainwindow.cxx.o
.PHONY : moc_mainwindow.cxx.o

moc_mainwindow.i: moc_mainwindow.cxx.i
.PHONY : moc_mainwindow.i

# target to preprocess a source file
moc_mainwindow.cxx.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/build.make tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/moc_mainwindow.cxx.i
.PHONY : moc_mainwindow.cxx.i

moc_mainwindow.s: moc_mainwindow.cxx.s
.PHONY : moc_mainwindow.s

# target to generate assembly for a file
moc_mainwindow.cxx.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/build.make tests/common/testapps/fala_multi-instance/CMakeFiles/fala_multi-instance.dir/moc_mainwindow.cxx.s
.PHONY : moc_mainwindow.cxx.s

# Help Target
help:

=== tests/common/testapps/fala_wait/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/fremantle2armel/usr/bin/cmake

# The command to remove a file.
RM = /targets/fremantle2armel/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/marcin/applauncher/applauncherd-3.0.3

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/marcin/applauncher/applauncherd-3.0.3

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/fremantle2armel/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/fremantle2armel/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles /home/marcin/applauncher/applauncherd-3.0.3/tests/common/testapps/fala_wait/CMakeFiles/progress.make
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/common/testapps/fala_wait/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/common/testapps/fala_wait/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/common/testapps/fala_wait/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/common/testapps/fala_wait/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
tests/common/testapps/fala_wait/CMakeFiles/fala_wait.dir/rule:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/common/testapps/fala_wait/CMakeFiles/fala_wait.dir/rule
.PHONY : tests/common/testapps/fala_wait/CMakeFiles/fala_wait.dir/rule

# Convenience name for target.
fala_wait: tests/common/testapps/fala_wait/CMakeFiles/fala_wait.dir/rule
.PHONY : fala_wait

# fast build rule for target.
fala_wait/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_wait/CMakeFiles/fala_wait.dir/build.make tests/common/testapps/fala_wait/CMakeFiles/fala_wait.dir/build
.PHONY : fala_wait/fast

fala_wait.o: fala_wait.cpp.o
.PHONY : fala_wait.o

# target to build an object file
fala_wait.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_wait/CMakeFiles/fala_wait.dir/build.make tests/common/testapps/fala_wait/CMakeFiles/fala_wait.dir/fala_wait.cpp.o
.PHONY : fala_wait.cpp.o

fala_wait.i: fala_wait.cpp.i
.PHONY : fala_wait.i

# target to preprocess a source file
fala_wait.cpp.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_wait/CMakeFiles/fala_wait.dir/build.make tests/common/testapps/fala_wait/CMakeFiles/fala_wait.dir/fala_wait.cpp.i
.PHONY : fala_wait.cpp.i

fala_wait.s: fala_wait.cpp.s
.PHONY : fala_wait.s

# target to generate assembly for a file
fala_wait.cpp.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/fala_wait/CMakeFiles/fala_wait.dir/build.make tests/common/testapps/fala_wait/CMakeFiles/fala_wait.dir/fala_wait.cpp.s
.PHONY : fala_wait.cpp.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... fala_wait"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... fala_wait.o"
	@echo "... fala_wait.i"
	@echo "... fala_wait.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== tests/common/testapps/helloworld/CMakeLists.txt ===
# Set sources
set(SRC helloworld.cpp)

link_libraries(${MEEGOTOUCH_LIBRARIES})

include(${QT_USE_FILE})

# Use the compiler and linker flags given in meegotouch-boostable.pc
# in the source tree.
execute_process(COMMAND "env" 
                         "PKG_CONFIG_PATH=${CMAKE_SOURCE_DIR}/data/pkgconfig" 
                         "/usr/bin/pkg-config" 
                         "--cflags" 
                         "meegotouch-boostable" 
                WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} 
                OUTPUT_VARIABLE booster_cflags 
                OUTPUT_STRIP_TRAILING_WHITESPACE)
execute_process(COMMAND "env" 
                        "PKG_CONFIG_PATH=${CMAKE_SOURCE_DIR}/data/pkgconfig" 
                        "/usr/bin/pkg-config" "--libs" 
                        "meegotouch-boostable" 
                WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} 
                OUTPUT_VARIABLE booster_libs 
                OUTPUT_STRIP_TRAILING_WHITESPACE)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${booster_cflags}")
set(CMAKE_EXE_LINKER_FLAGS ${booster_libs})

add_executable(fala_hello ${SRC})

install(PROGRAMS fala_hello DESTINATION /usr/bin/ RENAME fala_ft_hello)
install(PROGRAMS fala_hello DESTINATION /usr/share/fala_images)
install(SCRIPT scripts/create_links.cmake)

=== tests/common/testapps/testapp/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/fremantle2armel/usr/bin/cmake

# The command to remove a file.
RM = /targets/fremantle2armel/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/marcin/applauncher/applauncherd-3.0.3

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/marcin/applauncher/applauncherd-3.0.3

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/fremantle2armel/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/fremantle2armel/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles /home/marcin/applauncher/applauncherd-3.0.3/tests/common/testapps/testapp/CMakeFiles/progress.make
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/common/testapps/testapp/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/common/testapps/testapp/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/common/testapps/testapp/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/common/testapps/testapp/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
tests/common/testapps/testapp/CMakeFiles/fala_testapp.dir/rule:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/common/testapps/testapp/CMakeFiles/fala_testapp.dir/rule
.PHONY : tests/common/testapps/testapp/CMakeFiles/fala_testapp.dir/rule

# Convenience name for target.
fala_testapp: tests/common/testapps/testapp/CMakeFiles/fala_testapp.dir/rule
.PHONY : fala_testapp

# fast build rule for target.
fala_testapp/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/testapp/CMakeFiles/fala_testapp.dir/build.make tests/common/testapps/testapp/CMakeFiles/fala_testapp.dir/build
.PHONY : fala_testapp/fast

main.o: main.cpp.o
.PHONY : main.o

# target to build an object file
main.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/testapp/CMakeFiles/fala_testapp.dir/build.make tests/common/testapps/testapp/CMakeFiles/fala_testapp.dir/main.cpp.o
.PHONY : main.cpp.o

main.i: main.cpp.i
.PHONY : main.i

# target to preprocess a source file
main.cpp.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/testapp/CMakeFiles/fala_testapp.dir/build.make tests/common/testapps/testapp/CMakeFiles/fala_testapp.dir/main.cpp.i
.PHONY : main.cpp.i

main.s: main.cpp.s
.PHONY : main.s

# target to generate assembly for a file
main.cpp.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f tests/common/testapps/testapp/CMakeFiles/fala_testapp.dir/build.make tests/common/testapps/testapp/CMakeFiles/fala_testapp.dir/main.cpp.s
.PHONY : main.cpp.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... fala_testapp"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... main.o"
	@echo "... main.i"
	@echo "... main.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== debian/changelog ===
applauncherd (3.0.3-maemo2) fremantle; urgency=low

  * Removed dependency to libcreds2 and libaegis-crypto1

 -- Marcin Mielniczuk <marmistrz@inboxalias.com>  Tue, 22 Jul 2014 13:41:11 +0200

=== debian/control ===
Source: applauncherd
Section: admin
Priority: important
Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>
XSBC-Original-Maintainer: Alexey Shilov <alexey.shilov@nokia.com>
Build-Depends: cmake (>= 2.6.0), debhelper7, libqt4-dev (>= 4.5.0), libmeegotouch-dev [armel], aegis-builder (>= 1.4) [arm armel], libxtst-dev, libxext-dev, libxi-dev, doxygen, python2.5, libxcomposite-dev, libqt4-dev, libc6, libiphb0, libxrandr-dev, maemo-optify
Build-Conflicts: libaegis-crypto-dev [arm armel], libcreds2-dev [arm armel]
Standards-Version: 3.8.0

Package: applauncherd
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-invoker (= ${binary:Version})
Description: Meta package for applauncherd and invoker
 Launcher daemon and invoker to speed up launches. 
 Special boosters for MeeGo Touch and Qt.

Package: applauncherd-dbg
Architecture: armel
Section: debug
Priority: extra
Depends: applauncherd (= ${binary:Version}), applauncherd-invoker-dbg, applauncherd-launcher-dbg, ${misc:Depends}
Description: Meta package for applauncherd and invoker debug symbols

Package: applauncherd-invoker
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-launcher (= ${binary:Version})
XS-Disabled: libcreds2 [arm armel]
Description: Invoker part of applauncherd
 Invoker part of applauncherd.

Package: applauncherd-invoker-dbg
Section: debug
Priority: extra
Architecture: armel
Depends: applauncherd-invoker (= ${binary:Version}), ${misc:Depends}
Description: Invoker debug package
 Debug symbols for invoker
 
Package: applauncherd-launcher
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-single-instance, libiphb0, libxrandr2, libxcomposite1, libqt4-declarative, libc6
XS-Disabled: libcreds2 [arm armel]
Description: Launcher part of applauncherd
 Launcher part of applauncherd.

Package: applauncherd-launcher-dbg
Section: debug
Priority: extra
Architecture: armel
Depends: applauncherd-launcher (= ${binary:Version}), ${misc:Depends}
Description: Launcher debug package
 Debug symbols for launcher

Package: applauncherd-dev
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd
Description: Development files for applications using applauncherd
 Development files for applications using applauncherd.
 
Package: applauncherd-tests
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, libmeegotouchcore0, libmeegotouchviews0, libmeegotouchextensions0, libmeegotouchsettings0, testrunner-lite, applauncherd, ci-testing
XS-Disabled: libcreds[arm armel]
XB-Maemo-CI-Packages: applauncherd
XB-Maemo-CI-Stage: fast, staging
Description: applauncherd unit tests
 Unit testing binaries and shellscripts for testing applauncherd. 

Package: applauncherd-testscripts
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-testapps, testrunner-lite, applauncherd, ci-testing, testability-driver,  meego-env, mcetools (>= 1.10.40), rdoc, python2.5, ruby, xresponse, x11-utils, python-pyside.qtcore, python-pyside.qtdeclarative, python-pyside.qtgui, sysstat
XS-Disabled: libcreds2-tools [arm armel], libcreds2 [arm armel]
Description: applauncherd testscripts
 Testscripts for testing applauncherd

Package: applauncherd-testapps
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd, libmeegotouchcore0, libmeegotouchviews0, libmeegotouchextensions0, libmeegotouchsettings0
XS-Disabled: libcreds2 [arm armel], libcreds2-tools [arm armel] 
Description: applaunched testapps 
 Test applications for testing  applauncherd.

Package: applauncherd-testapps-dbg
Section: debug
Architecture: armel
Priority: extra
Depends: applauncherd-testapps (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for applauncherd testapps 

Package: applauncherd-functional-tests
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-testapps, applauncherd-testscripts 
XB-Maemo-CI-Packages: applauncherd
XB-Maemo-CI-Stage: fast, staging
Description: applauncherd functional tests
 Functional tests for testing applauncherd.

Package: applauncherd-invoker-tests
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-testapps, applauncherd-testscripts 
XB-Maemo-CI-Packages: applauncherd
XB-Maemo-CI-Stage: fast, staging
Description: applauncherd functional tests for invoker
 Functional tests for testing applauncherd.

Package: applauncherd-daemon-tests
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-testapps, applauncherd-testscripts 
XB-Maemo-CI-Packages: applauncherd
XB-Maemo-CI-Stage: fast, staging
Description: applauncherd functional tests for daemon
 Functional tests for testing applauncherd.

Package: applauncherd-art-tests
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-testapps, applauncherd-testscripts 
XB-Maemo-CI-Packages: applauncherd-launcher, applauncherd-invoker, mcompositor, meegotouchhome-nokia, libqtcore4, libqtgui4, libqt4-opengl, libqt4-dbus
XB-Maemo-CI-Stage: acceptance, validation
Description: applauncherd art tests
 Art tests for testing applauncherd.

Package: applauncherd-apps-tests
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-testapps, applauncherd-testscripts 
XB-Maemo-CI-Packages: facebookqml
XB-Maemo-CI-Stage: acceptance, validation
Description: applauncherd tests for applications dependent on applauncherd

Package: applauncherd-red-tests
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-testapps, applauncherd-testscripts 
XB-Maemo-CI-Packages: applauncherd
XB-Maemo-CI-Stage: fast, staging
Description: Tests related to bugs and new features for applauncherd 

Package: applauncherd-libmeegotouch-perf-tests
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-testapps, applauncherd-testscripts
XB-Maemo-CI-Packages: applauncherd
XB-Maemo-CI-Stage: fast
Description: applauncherd performance tests for libmeegotouch applications

Package: applauncherd-qml-perf-tests
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-testapps, applauncherd-testscripts
XB-Maemo-CI-Packages: applauncherd
XB-Maemo-CI-Stage: fast
Description: applauncherd performance tests for qml applications

Package: applauncherd-reference-perf-tests
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-testapps, applauncherd-testscripts
XB-Maemo-CI-Packages: applauncherd
XB-Maemo-CI-Stage: fast
Description: applauncherd performance tests for libmeegotouch applications without launcher

Package: applauncherd-doc
Depends: ${misc:Depends}
Section: doc
Architecture: armel
Description: Instructions for application developers

Package: applauncherd-single-instance
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Single instance binary for applauncherd
 Brings the already existing application window to foreground or
 executes new instance if not already running.
 Allows command line parameter --single-instance for invoker.

Package: applauncherd-single-instance-dbg
Section: debug
Priority: extra
Architecture: armel
Depends: applauncherd-single-instance (= ${binary:Version}), ${misc:Depends}
Description: applauncherd single-instance debug package
 Debug symbols for single-instance binary

=== tests/harmattan/testapps/applauncherd-token-test-1.1/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

APPNAME := applauncherd-token-test

Makefile:
	qmake-qt4

build: build-stamp

build-stamp: Makefile
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: Makefile
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/your_appname
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install

aegis:
	# setting up aegis credentials
	aegis-deb-add -control debian/applauncherd-token-test/DEBIAN/control .. debian/applauncherd-token-test.aegis=_aegis
	# aegis-deb-add -control debian/applauncherd-token-test-dbg/DEBIAN/control .. debian/applauncherd-token-test-dbg.aegis=_aegis

# Build architecture-independent files here.
binary-indep:
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip --dbg-package=$(APPNAME)-dbg
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch aegis
.PHONY: build clean binary-indep binary-arch binary install configure
